24001 Letture

Configurare una stampante non supportata in Ubuntu Linux

Un nostro lettore si è imbattuto in un problema molto comune: l'impossibilità di configurare e quindi di utilizzare la propria stampante in Ubuntu 10.10. La periferica in questione è una Canon PIXMA MP240, stampante "economica" che sembra comunque molto diffusa.
La procedura che illustriamo, sebbene sia incentrata sulla configurazione dei driver di stampa per la PIXMA MP240, può essere adottata per risolvere problematiche similari con altri dispositivi similari.

Il primo passo da compiere è aprire Mozilla Firefox, collegarsi con il sito web del produttore e scaricare i driver per Linux (Debian). Nel caso della MP240, è sufficiente collegarsi con questa pagina, indicare Linux come sistema operativo, l'italiano come lingua d'interesse ed infine prelevare il pacchetto Debian Linux Printer & Scanner Drivers.

Dopo aver effettuato il download, si otterrà un file chiamato MP240_debian_drivers.tar che, per impostazione predefinita, Firefox salverà nella directory \home\nome_utente\Scaricati.

A questo punto, è necessario scaricare ed installare il pacchetto libcupsys2. Per provvedere, è necessario collegarsi con questa pagina e cliccare sul link "security.ubuntu.com/ubuntu" per avviare il download.
Ad operazione conclusa, la cartella Scaricati conterrà anche il file libcupsys2_1.3.9-17ubuntu3.9_all.deb.
Facendo doppio clic su tale file, dall'interfaccia di Ubuntu, se ne avvierà immediatamente l'installazione.

Si faccia ora clic sul menù Risorse, Cartella home quindi sulla directory Scaricati. Cliccando con il tasto destro del mouse sul file MP240_debian_drivers.tar, quindi selezionando Estrai qui, Ubuntu provvederà a decomprimere tutto il contenuto dell'archivio compresso, memorizzandolo in una directory chiamata MP240_debian_drivers.

Dopo aver fatto ingresso nella directory MP240_debian_drivers, si dovrà cliccare con il tasto destro del mouse sul file MP240_debian_printer.tar quindi selezionare, ancora una volta, il comando Estrai qui.


Il passo successivo consiste nell'aprire la finestra terminale (menù Applicazioni, Accessori, Terminale), digitare cd Scaricati/MP240_debian_drivers/MP240_debian_printer quindi, nel caso in cui si stia usando la versione a 32 bit, di Ubuntu:
sudo dpkg -i cnijfilter-common_3.00-1_i386.deb
sudo dpkg -i cnijfilter-mp240series_3.00-1_i386.deb

Nel caso in cui si stia impiegando una versione a 64 bit deve essere invece impartito il comando seguente:
sudo dpkg -i --force-architecture cnijfilter-common_3.00-1_i386.deb
sudo dpkg -i --force-architecture cnijfilter-mp240series_3.00-1_i386.deb



Adesso si potrà procedere con l'installazione del driver vero e proprio. Collegando la stampante ad una porta USB, Ubuntu 10.10 dovrebbe immediatamente rilevarla iniziando quindi la ricerca del driver corretto.

Alla comparsa della finestra Scegliere il driver, si potrà indicare Canon come nome del produttore, cliccare su Avanti e scorrere l'elenco sino ad individuare la voce MP240.

Dopo aver scelto, dalla colonna di destra, il driver Canon MP240 series Ver.3.00, la stampante dovrebbe essere configurata e pronta per essere utilizzata da qualunque applicazione Linux.

Ovviamente, è possibile configurare e rendere disponibili per l'utilizzo da Ubuntu 10.10 anche stampanti collegate fisicamente a sistemi Windows (connessi alla medesima rete locale).

Basterà accedere alla finestra Sistema, Amministrazione, Stampa, cliccare sul pulsante Aggiungi, selezionare Stampante di rete e Stampante Windows via SAMBA.


  1. Avatar
    fabio.it
    08/11/2010 13:24:06
    non riesco a scaricare il pacchetto libcupsys2, il collegamento sull'articolo mi porta ad una pagina con scritto: Error two or more packages specified (libcupsys2 jaunty) :(
Configurare una stampante non supportata in Ubuntu Linux - IlSoftware.it